sampler2D Tex0;

struct PS_INPUT{
    float Tex               : TEXCOORD0;
	float Alpha				: TEXCOORD1;
};

struct PS_OUTPUT{
    float4 Color			: COLOR;
};

PS_OUTPUT main(const PS_INPUT Input){
	PS_OUTPUT Out;
	Out.Color = Input.Tex * Input.Alpha;
	return Out;
}
